org.apache.fop.render.rtf.rtflib.rtfdoc

## Interface IRtfTableContainer

- All Known Implementing Classes:
    RtfAfter, RtfBefore, RtfSection, RtfTableCell

      public interface IRtfTableContainer

  Interface for RtfElements that can contain RtfTables.

  This work was authored by Bertrand Delacretaz (bdelacretaz@codeconsult.ch) and Boris Poudérous.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `RtfTable` | `newTable(ITableColumnsInfo tc)` Close current table, if any, and start a new one
    `RtfTable` | `newTable(RtfAttributes attrs, ITableColumnsInfo tc)` Close current table, if any, and start a new one

- - ### Method Detail

    - #### newTable

          RtfTable newTable(ITableColumnsInfo tc)
                     throws java.io.IOException

      Close current table, if any, and start a new one
      Parameters:
        `tc` - Table Columns Info
      Returns:
        new table object
      Throws:
        `java.io.IOException` - for I/O problems

    - #### newTable

          RtfTable newTable(RtfAttributes attrs,
                            ITableColumnsInfo tc)
                     throws java.io.IOException

      Close current table, if any, and start a new one
      Parameters:
        `attrs` - for the Table attributes
        `tc` - to process number-columns-spanned attribute
      Returns:
        new table object
      Throws:
        `java.io.IOException` - for I/O problems

Copyright 1999-2015 The Apache Software Foundation. All Rights Reserved.